org.eclipse.jetty.server

## Class AsyncNCSARequestLog

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.server.NCSARequestLog
    - - org.eclipse.jetty.server.AsyncNCSARequestLog

- All Implemented Interfaces:
    RequestLog, LifeCycle

      public class AsyncNCSARequestLog
      extends NCSARequestLog

  An asynchronously writing NCSA Request Log

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `AbstractLifeCycle.AbstractLifeCycleListener`

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

      `LifeCycle.Listener`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncNCSARequestLog()`
    `AsyncNCSARequestLog(BlockingQueue<String> queue)`
    `AsyncNCSARequestLog(String filename)`
    `AsyncNCSARequestLog(String filename, BlockingQueue<String> queue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doStart()` Set up request logging and open log file.
    `protected void` | `doStop()` Close the log file and perform cleanup.
    `protected void` | `write(String log)`

    - ### Methods inherited from class org.eclipse.jetty.server.NCSARequestLog

      `getDatedFilename, getFilename, getFilenameDateFormat, getIgnorePaths, getLogCookies, getLogDateFormat, getLogLatency, getLogLocale, getLogServer, getLogTimeZone, getPreferProxiedForAddress, getRetainDays, isAppend, isExtended, isLogDispatch, log, logExtended, setAppend, setExtended, setFilename, setFilenameDateFormat, setIgnorePaths, setLogCookies, setLogDateFormat, setLogDispatch, setLogLatency, setLogLocale, setLogServer, setLogTimeZone, setPreferProxiedForAddress, setRetainDays`

    - ### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `addLifeCycleListener, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle

      `addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

- - ### Constructor Detail

    - #### AsyncNCSARequestLog

          public AsyncNCSARequestLog()

    - #### AsyncNCSARequestLog

          public AsyncNCSARequestLog(BlockingQueue<String> queue)

    - #### AsyncNCSARequestLog

          public AsyncNCSARequestLog(String filename)

    - #### AsyncNCSARequestLog

          public AsyncNCSARequestLog(String filename,
                             BlockingQueue<String> queue)

  - ### Method Detail

    - #### doStart

          protected void doStart()
                          throws Exception

      Description copied from class: `NCSARequestLog`
      Set up request logging and open log file.
      Overrides:
        `doStart` in class `NCSARequestLog`
      Throws:
        `Exception`
      See Also:
        `AbstractLifeCycle.doStart()`

    - #### doStop

          protected void doStop()
                         throws Exception

      Description copied from class: `NCSARequestLog`
      Close the log file and perform cleanup.
      Overrides:
        `doStop` in class `NCSARequestLog`
      Throws:
        `Exception`
      See Also:
        `AbstractLifeCycle.doStop()`

    - #### write

          protected void write(String log)
                        throws IOException

      Overrides:
        `write` in class `NCSARequestLog`
      Throws:
        `IOException`

Copyright © 1995-2015 Mort Bay Consulting. All Rights Reserved.